Python error when running a Processing model
Status: Open

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10, 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28791

Description

I am trying to use an online CSV file and plot its content as points using a Processing model. These steps causes a Python error:

1) Open a new model

2) Add the algorithm for downloading a file. I used https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_day.csv.

3) Add the algorithm for creating points from a table and configure it

4) Run the model

5) I now get this error message:

Traceback (most recent call last):

File "C:/PROGRA~1/GIS/QGIS/apps/qgis/./python/plugins\processing\algs\qgis\PointsLayerFromTable.py", line 91, in processAlgorithm

raise QgsProcessingException(self.invalidSourceError(parameters, self.INPUT))

_core.QgsProcessingException: Kunde inte läsa in källager för INPUT:

C:/Users/Magnus/AppData/Local/Temp/processing_fa76c51163e14b998c7ffcb4867abf80/980f76d9052042cd8525137ae9ede68f/OUTPUT.file ej hittad

PUT.file ej hittad

Ett fel uppstod vid körning av Skapa punktlager från tabell

Ett fel uppstod vid körning av Skapa punktlager från tabell

Beräkningen misslyckades efter 0.38  sekunder

I expected the data from the download algorithm to be available for other algorithms. Is this incorrect or is this a bug?

History

#1 - 2019-01-11 03:38 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach the model and the necessary data.

#2 - 2019-01-11 03:45 PM - Magnus Nilsson

- File CSV from web.model3 added

Model attached
https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_day.csv


#3 - 2019-01-11 04:06 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-01-25 09:38 PM - Alexis Roy-L

Have you tried providing a file name to the downloader, I'm not sure if the file can be properly set in memory and converted to an output.

Files

CSV from web.model3 5.39 KB 2019-01-11 Magnus Nilsson
